# Thick Section Point Density

Exact calculation of point density in thick polygons integrated from a spherical point source.

# Requirements

- numpy
- overlap (https://github.com/severinstrobl/overlap)
- tqdm (optional)

# Description

This method tackles the problem of measuring point densities in thick sections with known planar coordinates.
This method arose from the study of cells migrating in living tissue from an injection site and where the cells were later annotated in discrete number of sections with known thickness and relative distance.

The sections being 'thick' as well as the distance between section results in missing data when binning point counts as a function of the distance to the injection site. This software approximates a solution to solve this problem by integrating both points and section volume, and calcualtes a point density instead. In other words. How are the cells distributed relative to the distance to the injection source.

The volume is calcualted exactly py triangulating the region and tetrahedralizing before calculating the overlap volume using the 'overlap' package. The points are integrated as the uniform point mass perpendicular to the polygon plane.

# How to use

For example use, see run.py alongside the structure in the data folder. Alternatively, use the measure_cumulative_volume and 
measure_cumulative_points functions directly found in measure.py.

The code assumes the section domains are represented as ordered polygon points, a known thickness of each section, known source site, and point locations for each section.
